<?php
/*
Plugin Name: RSS No More
Version: 0.1
Plugin URI: http://my2cents.info/rss-no-more/
Description: When activated, it will cut your rss feeds at the <!--more--> tag.
Author: Jerome Neuveglise
Author URI: http://my2cents.info/
*/

function rss_no_more($content) {
	if(is_feed()) {

		$more = strpos($content,'<p><span id="more-');

		if($more) {

			$content = substr($content, 0, $more - 1);
			$content .= '<p><a href="'.get_permalink().'">Cliquez ici pour lire la suite de l\'article : '.get_the_title().'</a></p>';

		}
	}
	return $content;
}

add_filter('the_content', 'rss_no_more');

?>
